JSON API responses cannot have elements named 'request' or 'response'
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 4.0.0   

Description

I stumbled upon this while creating a Plugin with an API.

The problem is that Builders::Structure declares attr_accessor :request, :response. As a consequence, these get called instead of

Structure#method_missing when doing api.request or api.response in a .rsb template.

This patch adds a test illustrating the problem and replaces the accessors with direct instance variable usage.

Associated revisions

Revision 17617 - 2018-11-03 09:11 - Go MAEDA

Removes request and response accessors from Structure class (#28564).

Patch by Jens Krämer.

History

#1 - 2018-04-30 02:06 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2018-05-20 06:11 - Go MAEDA

- Category set to REST API

- Target version changed from Candidate for next minor release to 4.1.0

Setting target version to 4.1.0.

#3 - 2018-11-03 09:12 - Go MAEDA

- Category changed from REST API to Plugin API

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for your contribution.
